package com.ruoyi.project.sems.safecheck.service;

import java.util.List;
import com.ruoyi.project.sems.safecheck.domain.TSpecWeekcheck;

/**
 * 每周安全排查Service接口
 * 
 * @author Li
 * @date 2023-08-21
 */
public interface ITSpecWeekcheckService 
{
    /**
     * 查询每周安全排查
     * 
     * @param id 每周安全排查ID
     * @return 每周安全排查
     */
    public TSpecWeekcheck selectTSpecWeekcheckById(Long id);

    /**
     * 查询每周安全排查列表
     * 
     * @param tSpecWeekcheck 每周安全排查
     * @return 每周安全排查集合
     */
    public List<TSpecWeekcheck> selectTSpecWeekcheckList(TSpecWeekcheck tSpecWeekcheck);

    /**
     * 新增每周安全排查
     * 
     * @param tSpecWeekcheck 每周安全排查
     * @return 结果
     */
    public int insertTSpecWeekcheck(TSpecWeekcheck tSpecWeekcheck);

    /**
     * 修改每周安全排查
     * 
     * @param tSpecWeekcheck 每周安全排查
     * @return 结果
     */
    public int updateTSpecWeekcheck(TSpecWeekcheck tSpecWeekcheck);

    /**
     * 批量删除每周安全排查
     * 
     * @param ids 需要删除的每周安全排查ID
     * @return 结果
     */
    public int deleteTSpecWeekcheckByIds(Long[] ids);

    /**
     * 删除每周安全排查信息
     * 
     * @param id 每周安全排查ID
     * @return 结果
     */
    public int deleteTSpecWeekcheckById(Long id);
}
